about summary refs log tree commit diff
path: root/tools/check-compare-generated.sh
diff options
context:
space:
mode:
authorMichael Biebl <biebl@debian.org>2021-02-11 18:12:43 +0100
committerMichael Biebl <biebl@debian.org>2021-02-11 18:12:43 +0100
commit8f0db010e71e252ac290d51bd2a5b0a078f1d279 (patch)
tree2caa344fefcd9bb4218583c5aa2e0f92f4b2aa8c /tools/check-compare-generated.sh
parentf54032b30e1ddd84f10a339e0caf493772e049a7 (diff)
parent80ec1decc49c72efec2a8b87c06245c92c0ab807 (diff)
Update upstream source from tag 'upstream/1.29.90'
Update to upstream version '1.29.90'
with Debian dir 90df6d97476cc3200c410f3f3603b87396175c7a
Diffstat (limited to 'tools/check-compare-generated.sh')
-rwxr-xr-xtools/check-compare-generated.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tools/check-compare-generated.sh b/tools/check-compare-generated.sh
new file mode 100755
index 00000000..44b70f95
--- /dev/null
+++ b/tools/check-compare-generated.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+srcdir="$1"
+builddir="$2"
+doc_h="$3"
+
+[ -n "$NMTST_NO_CHECK_SETTINGS_DOCS" ] && exit 0
+
+cmp -s "${srcdir}/${doc_h}.in" "${builddir}/${doc_h}" && exit 0
+
+if [ "$NM_TEST_REGENERATE" = 1 ] ; then
+   cp -f "${builddir}/${doc_h}" "${srcdir}/${doc_h}.in"
+else
+   echo "*** Error: the generated file '${builddir}/${doc_h}' differs from the source file '${srcdir}/${doc_h}.in'. You probably should copy the generated file over to the source file. You can skip this test by setting NMTST_NO_CHECK_SETTINGS_DOCS=yes. You can also automatically copy the file by rerunning the test with NM_TEST_REGENERATE=1"
+   exit 1
+fi